%global momorel 2

%global         api_version 0.8

Summary:        Library for reading and converting WordPerfect(tm) documents.
Name:           libwpd
Version:        0.8.14
Release:        %{momorel}m%{?dist}
Group:          System Environment/Libraries
License:        LGPL
URL:            http://libwpd.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/libwpd/%{name}-%{version}.tar.gz 
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       glib
Requires:       libgsf >= 1.14.0
BuildRequires:  glib-devel
BuildRequires:  gsl-devel
BuildRequires:  libgsf-devel >= 1.14.0-2m,
BuildRequires:  doxygen
BuildRequires:  gcc-c++ >= 3.4.1-1m

%description
Library that handles WordPerfect(tm) documents.

%package tools
Summary: Tools to transform WordPerfect(tm) Documents into other formats.
Group: Applications/Publishing
Requires: %{name} = %{version}-%{release}

%description tools
Tools to transform WordPerfect Documents into other formats.
Currently supported: html, raw, text

%package devel
Summary: Files for developing with libwpd.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: glib-devel, libgsf-devel

%description devel
Includes and definitions for developing with libwpd.

%prep
%setup -q

%build
%configure \
  --without-docs \
  --disable-static
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall
find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc CHANGES COPYING CREDITS INSTALL README TODO
%{_libdir}/libwpd-%{api_version}.so.*
%{_libdir}/libwpd-stream-%{api_version}.so.*

%files tools
%defattr(-, root, root)
%{_bindir}/wpd2*

%files devel
%defattr(-, root, root)
%doc HACKING docs/doxygen docs/libwpd.dia
%{_includedir}/libwpd-%{api_version}
%{_libdir}/pkgconfig/libwpd-%{api_version}.pc
%{_libdir}/pkgconfig/libwpd-stream-%{api_version}.pc
%{_libdir}/libwpd-%{api_version}.so
%{_libdir}/libwpd-stream-%{api_version}.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.14-2m)
- full rebuild for mo7 release

* Sun Jul 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.14-1m)
- update to 0.8.14

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.9-10m)
- use BuildRequires and Requires

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.9-9m)
- delete __libtoolize hack

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.9-8m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu May 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.9-7m)
- define __libtoolize :

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.9-6m)
- rebuild against rpm-4.6

* Sun Apr 13 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.9-5m)
- add patch (out of memory)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.9-4m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.9-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.9-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Thu Mar 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.8.9-1m)
- update to 0.8.9
- - including fixes for CVE-2007-0002, CVE-2007-1466

* Tue Feb 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.8-1m)
- update 0.8.8

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.4-3m)
- delete libtool library

* Wed Apr 19 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.8.4-2m)
- rebuild against libgsf-1.14.0

* Mon Mar 13 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.4-1m)
- version 0.8.4
- remove gcc41.patch

* Wed Dec 21 2005 <meke@momonga-linux.org>
- (0.8.3-3m)
- add gcc-4.1 patch
- - Patch0: libwpd-0.8.3-gcc41.patch

* Sat Dec  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.3-2m)
- rebuild against libgsf-1.13.3

* Wed Oct  5 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.3-1m)
- version 0.8.3

* Fri Jun 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-1m)
- version 0.8.2
- add %%post and %%postun
- modify %%files

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.7.2-1m)
- update to 0.7.2 (rebuild against gcc-c++-3.4.1)
- add BuildPrereq: gcc-c++

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.6.6-3m)
- rebuild against for libxml2-2.6.8

* Sun Dec 21 2003 Kenta MURATA <muraken2@nifty.com>
- (0.6.6-2m)
- modify dependency of devel package.

* Sun Dec 21 2003 Kenta MURATA <muraken2@nifty.com>
- (0.6.6-1m)
- first spec file.
- version 0.6.6.
